Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class Utf8StringBuffer

    java.lang.Object
      org.mortbay.util.Utf8StringBuffer

    public class Utf8StringBuffer

extends java.lang.Object

UTF-8 StringBuffer. This class wraps a standard `StringBuffer` and provides methods to append UTF-8 encoded bytes, that are converted into characters. This class is stateful and up to 6 calls to `append(byte)` may be needed before state a character is appended to the string buffer. The UTF-8 decoding is done by this class and no additional buffers or Readers are used. The UTF-8 code was inspired by http://javolution.org

Constructor Summary
`Utf8StringBuffer()`
`Utf8StringBuffer(int capacity)`

Method Summary
`void` | `append(byte b)`
`void` | `append(byte[] b, int offset, int length)`
`java.lang.StringBuffer` | `getStringBuffer()`
`boolean` | `isError()`
`int` | `length()`
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utf8StringBuffer

    public Utf8StringBuffer()

### Utf8StringBuffer

    public Utf8StringBuffer(int capacity)

Method Detail

### append

    public void append(byte[] b,
                       int offset,
                       int length)

### append

    public void append(byte b)

### length

    public int length()

### reset

    public void reset()

### getStringBuffer

    public java.lang.StringBuffer getStringBuffer()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isError

    public boolean isError()

  Returns:
    True if there are non UTF-8 characters or incomplete UTF-8 characters in the buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.